from cmk.gui.plugins.views import inventory_displayhints
from cmk.gui.i18n import _l

# inventory list for phones found in CUCM

inventory_displayhints.update({
    ".phones:": {
        "title": _l("Phones"),
        "keyorder": ["name", "user", "dir_num", "ip", "model", "serial", "mac", "description"],
    },
    ".phones:*.name": {"title": _l("Name")},
    ".phones:*.user": {"title": _l("User")},
    ".phones:*.dir_num": {"title": _l("Dir Num")},
    ".phones:*.ip": {"title": _l("IP Addr")},
    ".phones:*.model": {"title": _l("Model")},
    ".phones:*.serial": {"title": _l("Serial")},
    ".phones:*.mac": {"title": _l("MAC Addr")},
    ".phones:*.description": {"title": _l("Description")},
})
